library ieee;
use ieee.std_logic_1164.all;

entity tbrom is
end tbrom;

architecture tbb of tbrom is
component rom is
   port ( addr: in integer range 0 to 63;
          cs,oe: in std_logic;
          dato: out std_logic_vector(31 downto 0);
          ready: out std_logic);
end component;

signal addr: integer range 0 to 63;
signal cs,oe,ready:  std_logic ;
signal dato : std_logic_vector(31 downto 0);

begin
  du: rom port map (addr,cs,oe,dato,ready);
  
  process
    begin
      cs<= '1';
      oe<= '1';
      addr <= 0;
      wait for 2 ns;
      cs <= '0';
      wait for 2 ns;
      oe <= '0';
      wait until ready='1';
      wait for 2 ns;
      cs<= '1';
      oe<= '1';
      addr <= 1;
      wait for 2 ns;
      cs <= '0';
      wait for 2 ns;
      oe <= '0';
      wait until ready='1';
      wait for 2 ns;
      cs<= '1';
      oe<= '1';
      addr <= 2;
      wait for 2 ns;
      cs <= '0';
      wait for 2 ns;
      oe <= '0';
      wait until ready='1';
      wait for 2 ns;
      cs<= '1';
      oe<= '1';
      addr <= 3;
      wait for 2 ns;
      cs <= '0';
      wait for 2 ns;
      oe <= '0';
      wait until ready='1';
      wait for 2 ns;
    end process;
  end tbb;